# Class AbstractContextProvider

java.lang.Object
org.eclipse.help.AbstractContextProvider

public abstract class AbstractContextProvider extends Object
An `AbstractContextProvider` is a mechanism to provide arbitrary context-sensitive help for any part of the UI. `AbstractContextProvider` s must be registered via the `org.eclipse.help.contexts` extension point.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`AbstractContextProvider()`

## Method Summary

Modifier and Type
Method
Description
`abstract IContext`
`getContext(String id, String locale)`
Returns the context-sensitive help content for the UI element with the given context help ID, and for the given locale.
`abstract String[]`
`getPlugins()`
Returns an array of `String`s containing the ids of the UI plug-ins for which this provider should be used.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractContextProvider

public AbstractContextProvider()

## Method Details

### getContext

public abstract IContext getContext(String id, String locale)
Returns the context-sensitive help content for the UI element with the given context help ID, and for the given locale.

Parameters:
  `id` - the unique context help ID, e.g. "org.my.plugin.my_context_id"
Returns:
  the context help, or `null` if not available

### getPlugins

public abstract String[] getPlugins()
Returns an array of `String`s containing the ids of the UI plug-ins for which this provider should be used. This is equivalent to the `plugin` attribute of the `contexts` element of the `org.eclipse.help.contexts` extension point, except you can specify any number of plug-ins.

Returns:
  the UI plug-ins for which this provider should be used